<script setup>
const { data: studies } = await useAsyncData(`studies/all`, () => {
  return queryContent("studies").sort({ id: 1 }).only(["id"]).find();
});

useHead({
  title: `List of all studies`,
});

const apiUrl = `/api/v0/studies.json`;
</script>

<template>
  <div>
    <h1 class="title">List of all studies</h1>
    <p class="content">
      <NuxtLink :to="apiUrl" target="_blank"> View raw data </NuxtLink>
    </p>

    <ul class="content">
      <li v-for="study in studies" :key="study.id">
        <NuxtLink :to="'/studies/' + study.id">{{ study.id }}</NuxtLink>
      </li>
    </ul>

    <p class="content">
      <NuxtLink :to="apiUrl" target="_blank"> View raw data </NuxtLink>
    </p>
  </div>
</template>
